import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [
    /**试卷介绍 */
    {
      path: '/exam/PaperInfo',
      name: 'PaperInfo',
      component: resolve=>{
        require(['../pages/PaperInfo'],resolve)
      }
    },
    /**考试做题（正规试卷） */
    {
      path: '/exam/TestPage',
      name: 'TestPage',
      component: resolve=>{
        require(['../pages/TestPage'],resolve)
      }
    },
    /**考试做题（练习题） */
    {
      path: '/exam/Exercise',
      name: 'Exercise',
      component: resolve=>{
        require(['../pages/Exercise'],resolve)
      }
    },
    /**考试结果 */
    {
      path: '/exam/ExaminationResult',
      name: 'ExaminationResult',
      component: resolve=>{
        require(['../pages/ExaminationResult'],resolve)
      }
    },
    /**发布心得 */
    {
      path: '/exam/Experience',
      name: 'Experience',
      component: resolve=>{
        require(['../pages/Experience'],resolve)
      }
    },
    /**成绩排行 */
    {
      path: '/exam/GradeRanking',
      name: 'GradeRanking',
      component: resolve=>{
        require(['../pages/GradeRanking'],resolve)
      }
    },
    /**试卷解析 */
    {
      path: '/exam/ParsingPage',
      name: 'ParsingPage',
      component: resolve=>{
        require(['../pages/ParsingPage'],resolve)
      }
    },
    /**主观题自己评分 */
    {
      path: '/exam/YourselfReading',
      name: 'YourselfReading',
      component: resolve=>{
        require(['../pages/YourselfReading'],resolve)
      }
    },
    /**课程绑定的考试练习记录 */
    {
      path: '/exam/TestRecord',
      name: 'TestRecord',
      component: resolve=>{
        require(['../pages/TestRecord'],resolve)
      }
    },
  ]
})
